CallableStatementProxyHandler (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal.proxy
Class CallableStatementProxyHandler

    java.lang.Object
      org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
          org.hibernate.engine.jdbc.internal.proxy.AbstractStatementProxyHandler
              org.hibernate.engine.jdbc.internal.proxy.PreparedStatementProxyHandler
                  org.hibernate.engine.jdbc.internal.proxy.CallableStatementProxyHandler

All Implemented Interfaces:
  InvocationHandler

    public class CallableStatementProxyHandler

extends PreparedStatementProxyHandler

Invocation handler for `CallableStatement` proxies

Constructor Summary
`protected` | `CallableStatementProxyHandler(String sql, Statement statement, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy)`

Method Summary
`protected Object` | `continueInvocation(Object proxy, Method method, Object[] args)`

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.PreparedStatementProxyHandler
`beginningInvocationHandling`

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.AbstractStatementProxyHandler
`getConnectionProxy, getJdbcServices, getResourceRegistry, getStatement, getStatementWithoutChecks`

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
`errorIfInvalid, hashCode, invalidate, invoke, isValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CallableStatementProxyHandler

    protected CallableStatementProxyHandler(String sql,
                                            Statement statement,
                                            ConnectionProxyHandler connectionProxyHandler,
                                            Connection connectionProxy)

Method Detail

### continueInvocation

    protected Object continueInvocation(Object proxy,
                                        Method method,
                                        Object[] args)
                                 throws Throwable

  Overrides:
    `continueInvocation` in class `AbstractStatementProxyHandler`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.